"config" is deprecated and "config.toml" has been valid for ages.

Signed-off-by: James Le Cuirot <ch...@gentoo.org>
---
 eclass/cargo.eclass | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/eclass/cargo.eclass b/eclass/cargo.eclass
index 7db34efb4e174..aab28dbbac167 100644
--- a/eclass/cargo.eclass
+++ b/eclass/cargo.eclass
@@ -248,7 +248,7 @@ cargo_crate_uris() {
 
 # @FUNCTION: cargo_gen_config
 # @DESCRIPTION:
-# Generate the $CARGO_HOME/config necessary to use our local registry and 
settings.
+# Generate the $CARGO_HOME/config.toml necessary to use our local registry and 
settings.
 # Cargo can also be configured through environment variables in addition to 
the TOML syntax below.
 # For each configuration key below of the form foo.bar the environment 
variable CARGO_FOO_BAR
 # can also be used to define the value.
@@ -261,7 +261,7 @@ cargo_gen_config() {
 
        mkdir -p "${ECARGO_HOME}" || die
 
-       cat > "${ECARGO_HOME}/config" <<- _EOF_ || die "Failed to create cargo 
config"
+       cat > "${ECARGO_HOME}/config.toml" <<- _EOF_ || die "Failed to create 
cargo config"
        [source.gentoo]
        directory = "${ECARGO_VENDOR}"
 
-- 
2.45.2


Reply via email to